javoaxian cambió a: javoaxian.me
Este blog se mantendrá como histórico del nuevo javoaxian.me. Por tal motivo, sólo serán creados post que harán referencia a los del nuevo blog. Si hay dudas y comentarios, favor de hacerlos en javoaxian.me.

lunes, 26 de mayo de 2008

Instalar Xmms en Debian Etch, Lenny y Ubuntu Hardy Heron

Como muchos han podido observar, tanto en las versiones de Debian Etch, Lenny y Hardy Heron de Ubuntu, no cuentan en sus repositorios con el reproductor de música Xmms. Dado este motivo, explicaré como podemos instalar este reproductor de audio desde su código fuente.

Como primer paso, deberemos bajar xmms, la versión existente en el momento de hacer esta entrada es la 1.2.11, por lo que bajaremos el archivo xmms-1.2.11.tar.gz.

Una vez que descargamos el archivo, nos convertiremos en el usuario root, moveremos el archivo al directorio /usr/local/src y nos moveremos a dicho directorio.

javoaxian@darthmaul:~$ su -
root@darthmaul:~# mv /ruta/archivo/xmms-1.2.11.tar.gz /usr/local/src/

Ahora descomprimiremos el archivo:

root@darthmaul:~# tar -xzvf xmms-1.2.11.tar.gz

Nos creará un directorio con el nombre de xmms-1.2.11.

Entraremos en el directorio xmms-1.2.11 y ejecutaremos el comando configure.

root@darthmaul:~# cd xmms-1.2.11
root@darthmaul:~# ./configure

Es posible que nos aparezca un error como este:

checking for GLIB - version >= 1.2.2... no
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
configure: error: *** GLIB >= 1.2.2 not installed - please install first ***

En cuyo caso, se puede resolver instalando el paquete libglib1.2-dev de la siguiente manera:

root@darthmaul:~# apt-get install libglib1.2-dev

Volveremos a ejecutar el comando configure.

root@darthmaul:~# ./configure

Es posible que al ejecutar nuevamente el comando nos aparezca otro mensaje de error semejante a este:

checking for GTK - version >= 1.2.2... no
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
configure: error: *** GTK+ >= 1.2.2 not installed - please install first ***

Por lo que ahora instalaremos el paquete libgtk1.2-dev.

root@darthmaul:~# apt-get install libgtk1.2-dev

De nueva cuenta acabado de instalar el paquete anterior, ejecutamos el comando configure.

root@darthmaul:~# ./configure

Si todo funcionó correctamente, ahora ejecutaremos los dos siguientes comando para realizar su instalación:

root@darthmaul:~# make
root@darthmaul:~# make install

Una vez terminada la instalación, deberemos agregar a la variable de ambiente LD_LIBRARY_PATH la ruta para que encuentre las bibliotecas de xmms. Esto lo podemos hacer agregando las siguientes líneas en el archivo /etc/profile con la cuenta de usuario root (si gustan puede ser al final del archivo o antes de la línea umask 022):

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib

Para que este cambio funcione, deberemos reiniciar nuestro ambiente gráfico o nuestra máquina.
Si queremos comprobar si funciona todo correctamente sin reiniciar el ambiente gráfico o el equipo, podemos abrir una consola y ejecutar el comando source sobre el archivo /etc/profile, así se cargarán los cambios en la consola donde ejecutamos este comando.

javoaxian@darthmaul:~$ source /etc/profile

Actualización 2008-06-06:
En ocasiones no funciona agregar la variable de ambiente LD_LIBRARY_PATH en el archivo /etc/profile, por tal motivo, si les manda el siguiente error:

xmms: error while loading shared libraries: libxmms.so.1: cannot open shared object file: No such file or directory

Pueden crear el siguiente enlace simbólico para que encuentre el archivo libxmms.so.1

root@darthmaul:~# ln -s /usr/local/lib/libxmms.so.1.3.1 /usr/lib/libxmms.so.1

Listo, para finalizar, ahora podremos ejecutar el comando xmms en la misma consola donde ejecutamos el comando source y deberá abrirse el programa Xmms.

21 comentarios:

Anónimo dijo...

He seguido todos esos pasos en debian lenny, pero al escribir xmms me da este error:
xmms: error while loading shared libraries: libxmms.so.1: cannot open shared object file: No such file or directory

javoaxian dijo...

Gracias por preguntar, se me olvidó que en algunos casos no funciona con poner la variable LD_LIBRARY_PATH. Pondré una actualización del artículo para corregir esto.

Puedes resolver esta situación de estas dos formas:

Al ejecutar el comando configure, le puedes agregar la opción --prefix=/usr, por ejemplo:
root@darthmaul:~# ./configure --prefix=/usr

Esto instalará xmms en /usr/bin y sus bibliotecas en /usr/lib.

Otra opción es crear el siguiente enlace simbólico:

root@darthmaul:~# ln -s /usr/local/lib/libxmms.so.1.3.1 /usr/lib/libxmms.so.1

Yoan Yala dijo...

Bueno, al compilar mi xmms me da error de que se sale del directorio...hasta ahora ese el problema que me presenta. TEngo mucho afan por instalar el XMMS...ya que en Windows soy muy fanatico de WINAMP,,asi que quiero instalar este en mi UBUNTU ESPECIAL EDITION ,,,Gracias de ante mano por haberme ayudado a llegar hasta aqui eh aprendido mucho en el transcurso de esta instalacion..

javoaxian dijo...

Hola, para poderte ayudarte, podrías poner exactamente el mensaje de error que te aparece para saber qué es lo que puede estar fallando.

Anónimo dijo...

Muchas gracias, me ha funcionado en un solo intento, agradezco mucho lo que has compartido

brigadesos.com dijo...

Saludos!.. 1000 gracias por el post y la guia, la verdad es que tenia el error de la libreria xmms, pero me dieron la solucion via IRC.

Pero mientras googleaba tambien vi tu pagina, jaja de ver sabido ni entraba al IRC =P

De cualquier forma muy util, cubres casi cualquier problema que se pueda dar en la instalacion =D

daviss.dwx dijo...

Hola, ya instalé el xmms con tus instrucciones y si funciona todo perfecto, lo unico es que la unica manera de abrirlo es por consola o con "alt+F2"? no hay alguna manera de agregarlo a la lista de programas?. gracias

javoaxian dijo...

Si, simplemente tienes que agregarlo al menú presionando sobre Aplicaciones con el botón derecho, después presionas en Editar menús ahí te aparecerá una pantalla donde puedes agregar cualquier aplicación en cualquier parte del menú que desees.

Anónimo dijo...

excelente post por fin xmms de regreso

saludos

Troyano dijo...

Cómo instalar XMMS sin compilar en Debian Lenny, etc.

#Se puede hacer sin compilar, bajando los binarios y extrayendolos:
# Logueamos como ROOT
su
(Ingresas la contraseña)
wget -c http://http.us.debian.org/debian/pool/main/x/xmms/xmms_1.2.10%2B20061101-1etch1_i386.deb
#Espejos alternativos
#wget -c http://ftp.br.debian.org/debian/pool/main/x/xmms/xmms_1.2.10%2B20061101-1etch1_i386.deb
#wget -c http://ftp.cl.debian.org/debian/pool/main/x/xmms/xmms_1.2.10%2B20061101-1etch1_i386.deb

#Extraer con:
dpkg -x xmms*.deb /

#Esto copiara los binarios de XMMS pudiendo luego ejecutarlo
con el comando xmms.

www.redstarlinux.com.ar

Anónimo dijo...

Excelente amigo, la verdad es que estoy encantado con el XMMS y fue grande mi sorpresa cuando no estaba en los repositorios del ubuntu 8.04, luego intenté instalar el audacious, sin embargo aun no logro que se escuche, debo tener algun problema de codec, sin embargo tu me has salvado con esta gran ayuda.

Magnus dijo...

Muchas gracias por esta info, me ha sido de ayuda ;)

David dijo...

buenos dias amigo, en mi caso me crea un arrero cuando intento instalar la libreria gtk, me dice paquetes rotos descargue de nuevo el xmms y nada, mi distribucion es linux canaima basado en deb.. saludos ..

javoaxian dijo...

Podrías mandar los mensajes de error que te aparecen para tener una idea más clara de la problematica y tratar de ver que es lo que puede estar ocurriendo

Anónimo dijo...

Basado en este manual, hice el bash script para automatizar todo. Lo probe en mi Lenny Debian GNU/Linux 5.0

Aqui el script
########################################
#!/bin/sh
echo "#####################################";
echo "# Xmms Installer by vrS #";
echo "#####################################";
if [ $UID -ne 0 ];
then
echo "[x]Necesitas ser root lamo";
echo "[!]Ejecuta \"sudo -s\"";
else
mkdir -p ~/downz/xmms/;
echo "[+]Descargando xmms..."
wget http://xmms.org/files/1.2.x/xmms-1.2.11.tar.gz -O ~/downz/xmms/xmms.tar.gz;
echo "[+]Extrayendo el fichero...";
aptitude install libgtk1.2-dev
sleep 2;
cd ~/downz/xmms/ && tar -zxvf xmms.tar.gz;
cp -rf ~/downz/xmms/xmms-1.2.11 /usr/local/src/;
echo "[+]Instalando..."
sleep 2;
cd /usr/local/src/xmms-1.2.11/ && ./configure && make && make install;
echo "[+]Exportando la libreria en /etc/profile..."
echo "export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib">> /etc/profile;
ln -s /usr/local/lib/libxmms.so.1.3.1 /usr/lib/libxmms.so.1;
sleep 2;
echo;
echo;
echo "[+] El Modo Grafico se reiniciara para aplicar cambios...";
echo "[+]Cuando inicies de nuevo, presiona \"ALT+F2\" y escribe xmms y da ENTER. Deberia Funcionar :)";
sleep 2
echo "[+]Reiniciando modo Grafico..."
sleep 4;
sudo /etc/init.d/gdm restart;
fi
#########################################

Anónimo dijo...

hola
tengo ubuntu 9.04 segui los pasos tal y como esta y jala perfecto gracias por el aporto

ya que en lo personal a mi me gusta mucho este reproductor

gracias

Anónimo dijo...

Hola, soy nueva en ubuntu y sólo por medio de tu post pude instalar Xmms... muchas Gracias!

marcelo dijo...

zorron mira me sale nuevamente el problema "error: *** GLIB >= 1.2.2 not installed - please install first ***"

ntonces le doy:
apt-get install libglib1.2-dev

y me sale:
E: No se pudo encontrar el paquete libglib1.2-dev

tengo las libglib2.0 y aun asi no funka
la verdad es que nose como hacerlo, tengo el ubuntu 9.10 actualizado a la fecha.

de antemano muchas gracias
slds...

javoaxian dijo...

Hola Marcelo, no encuentras el paquete libglib1.2-dev porque en ubuntu 9.10 ya no se encuentra en los repositorios, ¿no has probado instalar el paquete libglib2.0-dev?.

Saludos!!!

Anónimo dijo...

muchas gracias por la ayuda!

leonardo dijo...

la compilacion tuvo exito pero a la hora de darle play a una cancion me salia que tenia error con ALSA. y lo solucione instalando esto en los repositorios de lenny 5.0 "xmms2-plugin-alsa". Pongo esto por si a alguien le pasa lo mismo.